Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::PG_Object_Group::MemberInfo Struct Reference

List of all members.

## Public Methods
| MemberInfo (CORBA::Object_ptr member, const PortableGroup::Location &location)
| Construct an application-supplied member.
| MemberInfo (CORBA::Object_ptr member, const PortableGroup::Location &location, PortableGroup::GenericFactory_ptr factory, PortableGroup::GenericFactory::FactoryCreationId factory_id)
| Construct a infrastructure-created member.
| ~MemberInfo ()
| Destructor.
## Public Attributes
CORBA::Object_var | member_
| Reference to the member.
PortableGroup::GenericFactory_var | factory_
PortableGroup::GenericFactory::FactoryCreationId | factory_id_
| FactoryCreationId assigned to the member. Empty if application created.
PortableGroup::Location | location_
| Location where this member exists.
CORBA::Boolean | is_primary_
| TRUE if this is primary member.

## Constructor & Destructor Documentation

TAO::PG_Object_Group::MemberInfo::MemberInfo | ( | CORBA::Object_ptr | member,
|  | const PortableGroup::Location & | location
| ) |

| Construct an application-supplied member.

TAO::PG_Object_Group::MemberInfo::MemberInfo | ( | CORBA::Object_ptr | member,
|  | const PortableGroup::Location & | location,
|  | PortableGroup::GenericFactory_ptr | factory,
|  | PortableGroup::GenericFactory::FactoryCreationId | factory_id
| ) |

| Construct a infrastructure-created member.

TAO::PG_Object_Group::MemberInfo::~MemberInfo | ( |  | ) |

| Destructor.

## Member Data Documentation

PortableGroup::GenericFactory_var TAO::PG_Object_Group::MemberInfo::factory_

| The factory that was used to create this object nil if application created.

PortableGroup::GenericFactory::FactoryCreationId TAO::PG_Object_Group::MemberInfo::factory_id_

| FactoryCreationId assigned to the member. Empty if application created.

CORBA::Boolean TAO::PG_Object_Group::MemberInfo::is_primary_

| TRUE if this is primary member.

PortableGroup::Location TAO::PG_Object_Group::MemberInfo::location_

| Location where this member exists.

CORBA::Object_var TAO::PG_Object_Group::MemberInfo::member_

| Reference to the member.

The documentation for this struct was generated from the following files:

- PG_Object_Group.h
- PG_Object_Group.cpp